groovy.json

## Interface JsonGenerator

- All Known Implementing Classes:
    DefaultJsonGenerator

      public interface JsonGenerator

  Generates JSON from objects. The `JsonGenerator.Options` builder can be used to configure an instance of a JsonGenerator.
  Since:
    2.5.0
  See Also:
    `JsonGenerator.Options.build()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JsonGenerator.Converter` Handles converting a given type.
    `static class` | `JsonGenerator.Options` A builder used to construct a `JsonGenerator` instance that allows control over the serialized JSON output.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isExcludingFieldsNamed(String name)` Indicates whether this JsonGenerator is configured to exclude fields by the given name.
    `boolean` | `isExcludingValues(Object value)` Indicates whether this JsonGenerator is configured to exclude values of the given object (may be `null`).
    `String` | `toJson(Object object)` Converts an object to its JSON representation.

- - ### Method Detail

    - #### toJson

          String toJson(Object object)

      Converts an object to its JSON representation.
      Parameters:
        `object` - to convert to JSON
      Returns:
        JSON

    - #### isExcludingFieldsNamed

          boolean isExcludingFieldsNamed(String name)

      Indicates whether this JsonGenerator is configured to exclude fields by the given name.
      Parameters:
        `name` - of the field
      Returns:
        true if that field is being excluded, else false

    - #### isExcludingValues

          boolean isExcludingValues(Object value)

      Indicates whether this JsonGenerator is configured to exclude values of the given object (may be `null`).
      Parameters:
        `value` - an instance of an object
      Returns:
        true if values like this are being excluded, else false